/// <reference path="./request.d.ts" />
/// <reference path="./patient.d.ts" />
/// <reference path="./health.d.ts" />

declare namespace App {
  interface Dictionary {
    name: string;
    key: string;
    options: { label: string, value: string }[]
  }
}

interface Tickle {
  showMessage(type: 'info' | 'success' | 'warn' | 'error', content: string, duration?: number): void;
  showInfoMessage(content: string, duration?: number): void;
  showSuccessMessage(content: string, duration?: number): void;
  showWarnMessage(content: string, duration?: number): void;
  showErrorMessage(content: string, duration?: number): void;
}


